org.bouncycastle.asn1.ocsp

## Class ResponseBytes

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.ocsp.ResponseBytes

All Implemented Interfaces:
  DEREncodable

    public class ResponseBytes
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`ResponseBytes(ASN1Sequence seq)`
`ResponseBytes(DERObjectIdentifier responseType, ASN1OctetString response)`

### Method Summary

Methods
`static ResponseBytes` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static ResponseBytes` `getInstance(java.lang.Object obj)`
`ASN1OctetString` `getResponse()`
`DERObjectIdentifier` `getResponseType()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponseBytes

    public ResponseBytes(DERObjectIdentifier responseType,
                 ASN1OctetString response)

#### ResponseBytes

    public ResponseBytes(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static ResponseBytes getInstance(ASN1TaggedObject obj,
                            boolean explicit)

#### getInstance

    public static ResponseBytes getInstance(java.lang.Object obj)

#### getResponseType

    public DERObjectIdentifier getResponseType()

#### getResponse

    public ASN1OctetString getResponse()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     ResponseBytes ::=       SEQUENCE {
         responseType   OBJECT IDENTIFIER,
         response       OCTET STRING }

Specified by:
  `toASN1Object` in class `ASN1Encodable`